/*  Map Container */
.full-map-container {
    height: 60vh;
    width: 100%;
}



/* ====== Navigation Banner (top menu) */


.mainTit_t1 {
    margin-bottom: 0;
}

.badge {
    color: inherit;
}

.banner-main-info .data-pill {
    max-width: 200px;
    margin-top: 0;
}



.mob-main-submnu-item ul li.withSeparator {
    border-bottom-color: black;
}

.mob-main-mnu {
    z-index: 1000; /* Display over map */
}


.nav-tabs .active {
    font-weight: bold;
    border-bottom: 2px solid #f8f9fa !important;
}

/* ====== Buttons */

a.btn-clear {
    text-decoration: none;
}

    a.btn-clear .mainTit_t1:hover {
        color: steelblue;
    }


.btn-clear {
    background-color: transparent !important;
    color: black;
    border: none;
}

a.btn.btn-clear:hover {
    background-color: aliceblue !important;
    color: darkslateblue;
}

button.nav-link,
a.nav-link {
    color: var(--main-color);
    background-color: transparent !important;
}

    button.nav-link i,
    a.nav-link i {
        padding: 0;
        margin: 0;
    }

    button .nav-link:hover,
    a.nav-link:hover {
        color: slateblue
    }




/* ====== Accordion */

.accordion-button {
    padding: inherit;
    margin: inherit;
    background-color: inherit;
}

.accordion-item.bg-filled {
    border: 0;
    margin-bottom: 0;
    background-color: inherit;
}

    .accordion-item.bg-filled:has(.show) {
        border-radius: 0;
        border: 1px solid darkgray;
        background-color: white; /*var(--primary-bg-color);*/
        margin-bottom: 1rem;
    }


/* ====== Capture Form and Fields */

form p a {
    text-decoration: none;
    color: inherit;
}


.form-control {
    background-color: inherit !important;
}

    .form-control input {
        background-color: white;
        opacity: 1;
    }

    .form-control [readonly] {
        background-color: #ebeff2;
        opacity: 1;
    }

input.form-control:disabled,
textarea.form-control:disabled {
    font-weight: bold;
    border: none;
}

.control-label {
    color: var(--placeholder-color) !important;
}



.input-group .btn-lg {
    background-color: #bdbdbd !important;
}

.input-group input[type="search"] {
    margin-bottom: 0 !important;
    width: auto !important;
}

.input-group label.btn {
    margin-bottom: 1rem !important;
    background-color: #b0c4dd;
}

    .input-group label.btn:hover {
        color: black;
    }




/* Height fix for select2 */
.select2-container .select2-selection--single, .select2-container--default .select2-selection--single .select2-selection__rendered, .select2-container--default .select2-selection--single .select2-selection__arrow {
    height: 3em;
}

.select2-container--default .select2-selection--single .select2-selection__rendered {
    line-height: 3em;
}



/* Attachment fields */
.loadfile label {
    border-color: none !important;
    color: red;
    background-color: aquamarine;
}


.loadFile label {
    border-color: transparent !important;
}



/* Group of fields within form */

.group-fields {
    background-color: #e3e8f5;
    padding: 20px;
    margin-top: 20px;
    margin-bottom: 20px;
}

    .group-fields.alterna {
        background-color: #cbdbe9;
    }

    .group-fields input:not(:disabled),
    .group-fields select:not(:disabled) {
        background-color: white;
    }

    .group-fields input:disabled,
    .group-fields select:disabled {
        background-color: #e9ecef;
    }





.sel-row a {
    text-decoration: none;
    color: inherit;
}

    .sel-row a:hover {
        cursor: pointer;
        background-color: aliceblue !important;
        color: #436cad;
    }

.sel-row a {
    color: inherit;
}

/* TABLES */

table caption {
    font-size: small;
    color: #b6c1c5
}

th a {
    color: inherit;
    text-decoration: none;
}

    th a:hover {
        text-decoration: underline;
    }

th.numCel,
td.numCel {
    text-align: right !important;
}

th.dateCel,
td.dateCel {
    text-align: center !important;
}


.info-table .row {
    border-bottom: 1px solid darkgrey;
}

.info-table .text-start {
    font-weight: bold;
}


.number {
    text-align: right !important;
}



/* Columns available based on screen width */

@media only screen and (max-width: 640px) {
    .padAndScreen {
        display: none;
    }
}

@media only screen and (max-width: 800px) {
    .screenOnly {
        display: none;
    }
}


iframe.card-img-top {
    width: 100%;
    height: 225px;
}
